## org.eclipse.datatools.sqltools.routineeditor.ui
Class SQLRoutineDocumentProvider

    java.lang.Object
      org.eclipse.ui.texteditor.AbstractDocumentProvider
          org.eclipse.ui.editors.text.StorageDocumentProvider
              org.eclipse.datatools.sqltools.sqleditor.SQLStorageDocumentProvider
                  org.eclipse.datatools.sqltools.routineeditor.ui.SQLRoutineDocumentProvider

All Implemented Interfaces:
  IRoutineEditorDocumentProvider, org.eclipse.ui.editors.text.IStorageDocumentProvider, org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension, org.eclipse.ui.texteditor.IDocumentProviderExtension2, org.eclipse.ui.texteditor.IDocumentProviderExtension3, org.eclipse.ui.texteditor.IDocumentProviderExtension4, org.eclipse.ui.texteditor.IDocumentProviderExtension5

Direct Known Subclasses:
  ASARoutineSourceDocumentProvider, SQLDebuggerDocumentProvider

    public class SQLRoutineDocumentProvider

extends SQLStorageDocumentProvider
implements IRoutineEditorDocumentProvider

This document provider class is responsible for mapping routine objects and routine editor documents.

Author:
  Hui Cao

Constructor Summary
`SQLRoutineDocumentProvider()`

Method Summary
`boolean` `isModifiable(java.lang.Object element)`
`boolean` `isReadOnly(java.lang.Object element)`
`void` `refreshFromDatabase(java.lang.Object element, org.eclipse.datatools.sqltools.core.IControlConnection controlCon, org.eclipse.datatools.sqltools.core.ProcIdentifier proc)` Refreshs the routine object from database.

Methods inherited from class org.eclipse.ui.editors.text.StorageDocumentProvider
`getContentType, getDefaultEncoding, getEncoding, isNotSynchronizedException, setEncoding`

Methods inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider

`aboutToChange, addElementStateListener, canSaveDocument, changed, connect, disconnect, getAnnotationModel, getDocument, getModificationStamp, getProgressMonitor, getStatus, getSynchronizationStamp, isDeleted, isStateValidated, isSynchronized, mustSaveDocument, removeElementStateListener, resetDocument, saveDocument, setCanSaveDocument, setProgressMonitor, synchronize, updateStateCache, validateState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.texteditor.IDocumentProvider
`aboutToChange, addElementStateListener, canSaveDocument, changed, connect, disconnect, getAnnotationModel, getDocument, getModificationStamp, getSynchronizationStamp, isDeleted, mustSaveDocument, removeElementStateListener, resetDocument, saveDocument`

Methods inherited from interface org.eclipse.ui.texteditor.IDocumentProviderExtension2
`getProgressMonitor, setProgressMonitor`

Methods inherited from interface org.eclipse.ui.texteditor.IDocumentProviderExtension3
`isSynchronized`

Constructor Detail

### SQLRoutineDocumentProvider

    public SQLRoutineDocumentProvider()

Method Detail

### isModifiable

    public boolean isModifiable(java.lang.Object element)

  Specified by:
    `isModifiable` in interface `org.eclipse.ui.texteditor.IDocumentProviderExtension`
  Overrides:
    `isModifiable` in class `SQLStorageDocumentProvider`

### refreshFromDatabase

    public void refreshFromDatabase(java.lang.Object element,
                                    org.eclipse.datatools.sqltools.core.IControlConnection controlCon,
                                    org.eclipse.datatools.sqltools.core.ProcIdentifier proc)
                             throws org.eclipse.core.runtime.CoreException,
                                    java.sql.SQLException

  Description copied from interface: `IRoutineEditorDocumentProvider`
  Refreshs the routine object from database.

  Specified by:
    `refreshFromDatabase` in interface `IRoutineEditorDocumentProvider`
  Parameters:
    `element` - the routine object
    `controlCon` - control connection that's used by the routine editor
    `proc` - the routine identifier
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.sql.SQLException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object element)

  Specified by:
    `isReadOnly` in interface `org.eclipse.ui.texteditor.IDocumentProviderExtension`
  Overrides:
    `isReadOnly` in class `org.eclipse.ui.editors.text.StorageDocumentProvider`